<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel = "stylesheet" href = "css/main.css">
    <title>Transactions</title>
</head>
<body>
    <div class="container">
        <div class ="header">
            <div class ="personal-detail">
                <h2 class="title">Hello!</h2>
                    <h2 class="title-account">
                        <%= JSON.parse(JSON.stringify(userDetail['accountNumber']))%>
                    </h2>
                <h2 class="title-date"><%= date%></h2>
            </div>
        </div>
        <div class="balance">
            <h2>Balance</h2>
            <hr>
                <div class="balance-wrapper">
                    <div class="available-balance">
                        <h2>Rp <%= JSON.parse(JSON.stringify(userDetail['balance']['available']))%></h2>
                        <p style="text-align:center">Available Balance</p>
                    </div>
                    <div class="current-balance">
                        <h2>Rp <%= JSON.parse(JSON.stringify(userDetail['balance']['current']))%></h2>
                        <p style="text-align:center">Current Balance</p>
                    </div>
                </div>
            <hr>
        </div>
        <div class="transaction">
            <h2>Transaction</h2>
            <hr>
            <table class="transaction">
                <div class="test" style="height:100%">
                    <tr>
                        <th class="time">Time</th>
                        <th class="description">Description</th>
                        <th class="status">Status</th>
                        <th class="amount">Amount</th>
                    </tr>
                        <% for(var i=0;i < transaction['description'].length; i++) { %>
                            <tr>
                                <td><%= JSON.parse(JSON.stringify(transaction['date'][i]))%></td>
                                <td><%= JSON.parse(JSON.stringify(transaction['description'][i]))%></td>
                                <td><%= JSON.parse(JSON.stringify(transaction['status'][i]))%></td>
                                <td>Rp<%= JSON.parse(JSON.stringify(transaction['amount'][i]))%></td>
                            </tr>
                        <% } %>
                </div>
            </table>

        </div>
        <div class="footer"></div>
    </div>
    
    
</body>
</html>